<?xml version="1.0" encoding="utf-8"?>
<tp:taxonomyPackage xml:lang="en" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
  <tp:identifier>http://www.oriola.com/20251231 (7484F535)</tp:identifier>
  <tp:name>Oriola Corporation XBRL Taxonomy 2025</tp:name>
  <tp:description>Taxonomy for ESEF reporting</tp:description>
  <tp:version>2025-12-31_1780511277</tp:version>
  <tp:publisher>Oriola Oyj</tp:publisher>
  <tp:publisherURL>www.oriola.com</tp:publisherURL>
  <tp:publisherCountry>FI</tp:publisherCountry>
  <tp:publicationDate>2025-12-31</tp:publicationDate>
  <tp:entryPoints>
    <tp:entryPoint>
      <tp:name>Oriola Oyj XBRL Taxonomy for 2025-12-31</tp:name>
      <tp:description>Oriola Oyj XBRL report for 2025-12-31</tp:description>
      <tp:entryPointDocument href="http://www.oriola.com/549300UWB1AIR85BM957-2025-12-31.xsd" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-fi.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-fi.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-fi.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-fi.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml" />
      <tp:languages>
        <tp:language>fi</tp:language>
        <tp:language>fi</tp:language>
        <tp:language>en</tp:language>
      </tp:languages>
    </tp:entryPoint>
  </tp:entryPoints>
</tp:taxonomyPackage>